## declarative-plasmoids 4.10.5

=== CMakeLists.txt ===
find_package(KDE4 REQUIRED)

include(KDE4Defaults)

add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
include_directories(
      ${CMAKE_SOURCE_DIR}
      ${CMAKE_BINARY_DIR}
      ${KDE4_INCLUDES})


add_subdirectory(rssnow)
add_subdirectory(dictionary)
add_subdirectory(knowledgebase)
add_subdirectory(news)
add_subdirectory(social-news)
add_subdirectory(microblog)

=== dictionary/CMakeLists.txt ===
project(dictionary)

install(DIRECTORY package/ DESTINATION ${DATA_INSTALL_DIR}/plasma/plasmoids/org.kde.dictionary-qml PATTERN .svn EXCLUDE)

install(FILES plasma-applet-dictionary-qml.desktop
        DESTINATION ${SERVICES_INSTALL_DIR})

=== knowledgebase/CMakeLists.txt ===
project(knowledgebase)

install(DIRECTORY package/ DESTINATION ${DATA_INSTALL_DIR}/plasma/plasmoids/org.kde.knowledgebase PATTERN .svn EXCLUDE)

install(FILES plasma-applet-knowledgebase-qml.desktop
        DESTINATION ${SERVICES_INSTALL_DIR})

=== microblog/CMakeLists.txt ===
project(rssnow)

install(DIRECTORY contents DESTINATION ${DATA_INSTALL_DIR}/plasma/plasmoids/org.kde.microblog-qml/ PATTERN .svn EXCLUDE)
install(DIRECTORY platformcontents DESTINATION ${DATA_INSTALL_DIR}/plasma/plasmoids/org.kde.microblog-qml/ PATTERN .svn EXCLUDE)
install(FILES metadata.desktop DESTINATION ${DATA_INSTALL_DIR}/plasma/plasmoids/org.kde.microblog-qml)
install(FILES active-microblog.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})

install(FILES plasma-applet-microblog-qml.desktop
        DESTINATION ${SERVICES_INSTALL_DIR})
install(FILES active-microblog.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})

=== news/CMakeLists.txt ===
project(news)

install(DIRECTORY package/ DESTINATION ${DATA_INSTALL_DIR}/plasma/plasmoids/org.kde.news-qml PATTERN .svn EXCLUDE)
install(FILES active-news-reader.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})

install(FILES plasma-applet-news-qml.desktop
        DESTINATION ${SERVICES_INSTALL_DIR})

add_subdirectory(icons)

=== rssnow/CMakeLists.txt ===
project(rssnow)

find_package(KDE4 REQUIRED)

include (KDE4Defaults)
include(MacroLibrary)

include_directories (${KDE4_INCLUDES})

set(rssnow_SRCS
    rssnow.cpp
)

kde4_add_ui_files(rssnow_SRCS
    feedsConfig.ui
    generalConfig.ui
)

kde4_add_plugin(plasma_applet_rssnow ${rssnow_SRCS})

target_link_libraries(plasma_applet_rssnow
    ${KDE4_KDEUI_LIBS}
    ${KDE4_PLASMA_LIBS}
    ${QT_QTDECLARATIVE_LIBRARY}
)

install(TARGETS plasma_applet_rssnow DESTINATION ${PLUGIN_INSTALL_DIR})

#QML stuff
install(DIRECTORY package/ DESTINATION ${DATA_INSTALL_DIR}/plasma/packages/org.kde.rssnow PATTERN .svn EXCLUDE)

install(FILES plasma-applet-rssnow.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== social-news/CMakeLists.txt ===
project(social-news)

install(DIRECTORY package/ DESTINATION ${DATA_INSTALL_DIR}/plasma/plasmoids/org.kde.social-news-qml PATTERN .svn EXCLUDE)

install(FILES plasma-applet-social-news-qml.desktop
        DESTINATION ${SERVICES_INSTALL_DIR})

## declarative-plasmoids 4.10

=== debian/changelog ===
declarative-plasmoids (4.10-0ubuntu1) raring; urgency=low

  * New upstream release
  * Fix debian/copyright
  * Bump Standards-Version to 3.9.3

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 24 Dec 2012 17:41:48 +0000

declarative-plasmoids (1.0+git2012022501-0ubuntu1~ppa1) precise; urgency=low

  * Initial release

 -- Rodrigo Belem <rbelem@ubuntu.com>  Sat, 25 Feb 2012 21:31:13 -0400

=== debian/control ===
Source: declarative-plasmoids
Section: kde
Priority: extra
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Rodrigo Belem <rbelem@ubuntu.com>
Build-Depends: debhelper (>= 8.0.0), quilt (>= 0.46-7~), cmake (>= 2.8.1),
 pkg-kde-tools (>= 0.5.0~), kdelibs5-dev
Standards-Version: 3.9.3
Homepage: http://www.kde.org/

Package: declarative-plasmoids
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kde-runtime
Description: plasmoids for Plasma Desktop and Active
 Plasmoids for Plasma Desktop and Active built using Qt Quick.

## declarative-plasmoids 4.10.5

=== debian/changelog ===
declarative-plasmoids (4.10.5-0ubuntu1) saucy; urgency=high

  * New upstream release LP: #1227602
  * Depend on kde-workspace-bin for plasma-windowed
  * Add kubuntu_no_rssnow.diff to disable rssnow, also in kdeplasma-
    addons

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 17 Sep 2013 11:56:46 +0100

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,10 @@
 Build-Depends: debhelper (>= 8.0.0), quilt (>= 0.46-7~), cmake (>= 2.8.1),
  pkg-kde-tools (>= 0.5.0~), kdelibs5-dev
 Standards-Version: 3.9.3
-Homepage: http://www.kde.org/
+Homepage: http://plasma-active.org/
 
 Package: declarative-plasmoids
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, kde-runtime
+Depends: ${shlibs:Depends}, ${misc:Depends}, kde-runtime, kde-workspace-bin
 Description: plasmoids for Plasma Desktop and Active
  Plasmoids for Plasma Desktop and Active built using Qt Quick.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

TARFILE?=declarative-plasmoids_1.0+git$(shell date +%Y%m%d)01.orig.tar.gz
DIRNAME?=declarative-plasmoids-1.0+git$(shell date +%Y%m%d)01

get-orig-source:
	git archive --format=tar --prefix=$(DIRNAME)/ --remote=git://anongit.kde.org/declarative-plasmoids HEAD | gzip -c9 > ../$(TARFILE)

../$(TARFILE): get-orig-source

.PHONY: override_dh_auto_test
